#Data from Broad Institute "Cancer Program Data Sets"
#
#http://www.broadinstitute.org/cgi-bin/cancer/datasets.cgi
#
#Subclass Mapping: Identifying Common Subtypes in Independent Disease Data Sets
#PLoS ONE 2(11): e1195. doi:10.1371/journal.pone.0001195
#
#"Multi_A" without Array BR_U16
#
#Su AI, Cooke MP, Ching KA, Hakak Y, Walker JR, et al. (2002)
#Large-scale analysis of the human and mouse transcriptomes.
#Proc Natl Acad Sci U S A 99:4465-4470.
#
# Author: SEPP HOCHREITER
###############################################################################


data(Multi_A)

X <- as.matrix(XMulti)

resMulti1 <- fabia(X,200,0.1,1.0,1.0,5)

rMulti1 <- extract_plot(X,resMulti1$L,resMulti1$Z,ti="FABIA Multiple tissues(Su)")

#sorting of predefined labels
CMulti%*%rMulti1$pmZ

#--------------------------------------

resMulti2 <- fabias(X,200,0.4,1.0,5)

rMulti2 <- extract_plot(X,resMulti2$L,resMulti2$Z,ti="FABIAS Multiple tissues(Su)")

#sorting of predefined labels
CMulti%*%rMulti2$pmZ


#--------------------------------------

resMulti3 <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)

rMulti3 <- extract_plot(X,resMulti3$L,resMulti3$Z,ti="FABIAP Multiple tissues(Su)")
#sorting of predefined labels
CMulti%*%rMulti3$pmZ



#--------------------------------------

resMulti4 <- mfsc(X,5,sL=0.7,sZ=0.3)

rMulti4 <- extract_plot(X,resMulti4$L,resMulti4$Z,ti="MFSC Multiple tissues(Su)")



#sorting of predefined labels
CMulti%*%rMulti4$pmZ





